smbios_slot_t Struct Reference
Public interface » ID macros » SMBIOS structures

system slot information More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
char * | desig
| slot designation
hd_id_t | slot_type
| slot type
hd_id_t | bus_width
| data bus width
hd_id_t | usage
| current usage
hd_id_t | length
| slot length
unsigned | id
| slot id
hd_bitmap_t | feature
| slot characteristics

## Detailed Description

system slot information

The documentation for this struct was generated from the following file:

- hd.h